<html>
<head>
<title>TestNG:  Dine_in</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Dine_in</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>6/0/0</td>
</tr><tr>
<td>Started on:</td><td>Fri Jun 11 18:56:03 EET 2021</td>
</tr>
<tr><td>Total time:</td><td>2 seconds (2911 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='recipe.Add_recipe.Add()'><b>Add</b><br>Test class: recipe.Add_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Add_recipe@7975d1d8</td></tr>
<tr>
<td title='recipe.Add_recipe.Assertion()'><b>Assertion</b><br>Test class: recipe.Add_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Add_recipe@7975d1d8</td></tr>
<tr>
<td title='recipe.Edit_recipe.Assertion()'><b>Assertion</b><br>Test class: recipe.Edit_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Edit_recipe@2438dcd</td></tr>
<tr>
<td title='recipe.Delete_recipe.Delete()'><b>Delete</b><br>Test class: recipe.Delete_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Delete_recipe@24105dc5</td></tr>
<tr>
<td title='recipe.Edit_recipe.Edit()'><b>Edit</b><br>Test class: recipe.Edit_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Edit_recipe@2438dcd</td></tr>
<tr>
<td title='recipe.Add_recipe.Resize()'><b>Resize</b><br>Test class: recipe.Add_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Add_recipe@7975d1d8</td></tr>
</table><p>
</body>
</html>